Gatana logoGatana Docs
RoutesMcp serversServerslugCredentialsServer

/mcp-servers/{serverSlug}/credentials/server

Create or replace the server-scoped credentials of an MCP server. The credential type must match the authorization method of the server. Servers with transport type "stdio" or "hosted" are restarted to apply the new credentials

PUT
/mcp-servers/{serverSlug}/credentials/server
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
Length1 <= length

Request Body

application/json

type*string

Credential type discriminator, always "apikey"

apikeys*array<array<>>

API keys as [name, value] pairs

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/credentials/server" \  -H "Content-Type: application/json" \  -d '{    "type": "apikey",    "apikeys": [      [        "string",        "string"      ]    ]  }'
{
  "success": true
}